CVE-2004-1427
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:54:35
NMCO    

[原文]PHP remote file inclusion vulnerability in main.inc in KorWeblog 1.6.2-cvs and earlier allows remote attackers to execute arbitrary PHP code by modifying the G_PATH parameter to reference a URL on a remote web server that contains the code, as demonstrated in index.php when using .. (dot dot) sequences in the lng parameter to cause main.inc to be loaded.


[CNNVD]KorWeblog php远程注入漏洞(CNNVD-200412-631)

        
        KorWeblog是韩国的一款流行的BLOG程序。
        KorWeblog包含的"/install/index.php"脚本对用户提交的参数缺少充分过滤,远程攻击者可以利用这个漏洞以WEB进程权限在系统上执行任意命令。
        "/install/index.php"脚本对用户提交给"lng"参数的数据缺少充分过滤,可指定远程服务器上的恶意文件作为包含文件,导致以WEB进程执行文件中的恶意PHP命令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:korweblog:korweblog:1.6.2cvs
cpe:/a:korweblog:korweblog:1.6.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1427
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1427
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-631
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=110442847614890&w=2
(UNKNOWN)  BUGTRAQ  20041230 KorWeblog php injection Vulnerability
http://www.securityfocus.com/bid/12132
(UNKNOWN)  BID  12132
http://xforce.iss.net/xforce/xfdb/18717
(UNKNOWN)  XF  korweblog-install-file-include(18717)

- 漏洞信息

KorWeblog php远程注入漏洞
高危 输入验证
2004-12-31 00:00:00 2006-09-28 00:00:00
远程  
        
        KorWeblog是韩国的一款流行的BLOG程序。
        KorWeblog包含的"/install/index.php"脚本对用户提交的参数缺少充分过滤,远程攻击者可以利用这个漏洞以WEB进程权限在系统上执行任意命令。
        "/install/index.php"脚本对用户提交给"lng"参数的数据缺少充分过滤,可指定远程服务器上的恶意文件作为包含文件,导致以WEB进程执行文件中的恶意PHP命令。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 第三方补丁如下:
        mins@hackme:~/public_html/korweblog-1.6.1/install$ cat index.diff
        --- index_1_6_1.php Mon Dec 27 17:31:50 2004
        +++ index.php Mon Dec 27 17:40:51 2004
        @@ -18,7 +18,10 @@
         $G_VER = "1.6.1";
        -if (!empty($lng)) include("lang/$lng" . ".php");
        +if (!empty($lng)) {
        + if (eregi("\.\.",$lng) || eregi("/",$lng)) $lng="korean";
        + include("lang/$lng" . ".php");
        +}
         $sql_form ="


        


        * 或设置"allow_url_fopen"为"off".
        * 删除安装文件。
        厂商补丁:
        KorWeblog
        ---------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://weblog.kldp.org
". _SQL_INPUT ."

- 漏洞信息

12680
KorWeblog index.php G_PATH Variable Arbitrary Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

KorWeblog contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to index.php not properly sanitizing user input supplied to the G_PATH variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2004-12-30 2004-12-23
2004-12-30 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站